support.hh File Reference
`#include <cassert>`
`#include <gecode/support/config.hpp>`
`#include <gecode/support/auto-link.hpp>`
`#include <gecode/support/macros.hpp>`
`#include <gecode/support/exception.hpp>`
`#include <gecode/support/cast.hpp>`
`#include <gecode/support/hash.hpp>`
`#include <gecode/support/thread.hpp>`
`#include <gecode/support/allocator.hpp>`
`#include <gecode/support/heap.hpp>`
`#include <gecode/support/marked-pointer.hpp>`
`#include <gecode/support/int-type.hpp>`
`#include <gecode/support/bitset-base.hpp>`
`#include <gecode/support/bitset.hpp>`
`#include <gecode/support/bitset-offset.hpp>`
`#include <gecode/support/block-allocator.hpp>`
`#include <gecode/support/dynamic-array.hpp>`
`#include <gecode/support/dynamic-queue.hpp>`
`#include <gecode/support/dynamic-stack.hpp>`
`#include <gecode/support/random.hpp>`
`#include <gecode/support/sort.hpp>`
`#include <gecode/support/static-stack.hpp>`
`#include <gecode/support/thread/pthreads.hpp>`
`#include <gecode/support/thread/thread.hpp>`
`#include <gecode/support/ref-count.hpp>`
`#include <gecode/support/timer.hpp>`
`#include <gecode/support/hw-rnd.hpp>`
`#include <gecode/support/run-jobs.hpp>`

Go to the source code of this file.

## Macros

#define | GECODE_MSC_VIRTUAL
#define | GECODE_SUPPORT_EXPORT
#define | GECODE_VTABLE_EXPORT
#define | GECODE_LIBRARY_NAME "Support"
#define | GECODE_HAS_THREADS

## Macro Definition Documentation

## GECODE_MSC_VIRTUAL

#define GECODE_MSC_VIRTUAL

Definition at line 65 of file support.hh.

## GECODE_SUPPORT_EXPORT

#define GECODE_SUPPORT_EXPORT

Definition at line 71 of file support.hh.

## GECODE_VTABLE_EXPORT

#define GECODE_VTABLE_EXPORT

Definition at line 72 of file support.hh.

## GECODE_LIBRARY_NAME

#define GECODE_LIBRARY_NAME "Support"

Definition at line 79 of file support.hh.

## GECODE_HAS_THREADS

#define GECODE_HAS_THREADS

Definition at line 89 of file support.hh.